#!/usr/bin/sh

#ident	"%W%"

#
# IJS build script
#

set -x
set -e

#
# We need BSD-compatible install command.
#
INSTALL="/usr/ucb/install"
if [ ! -x ${INSTALL} ]
then
	echo "ERROR: ${INSTALL} not found." >&2
	exit 1
fi
export INSTALL

#
# Apply patches.
#
for patch in ijs-0.34-unixware
do
	[ -f .${patch}.applied ] || {
		/bin/patch -c -p0 -i ${patch}.patch
		/bin/date > .${patch}.applied
	}
done

#
# Configure
#
# --cache-file=/dev/null	(always start fresh)
# --host=i386			(cross-compile)
#
./configure \
	--cache-file=/dev/null \
	--host=i386 \
	--prefix=/usr

#
# Make and install header files and libraries in cross-environment.
#
# Override CFLAGS, LDLIBS, SHARED_LDFLAGS, AR and ARFLAGS variables defined
# in Makefile.
#
${MAKE} \
	prefix=${TOOLS}/usr \
	CFLAGS="${CFLAGS}" \
	LDLIBS="${LDLIBS}" \
	SHARED_LDFLAGS='-G -Wl,-h,/usr/lib/$@' \
	AR="${AR}" \
	ARFLAGS="${ARFLAGS}" \
	install-header \
	install-lib
